Subject: [bug#55248] [PATCH v3 7/9] gnu: chez-upstream-features-for-system: Improve implementation.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 09 May 2022 08:21:24 +0200

Am Montag, dem 09.05.2022 um 02:02 -0400 schrieb Philip McGrath:
> In this commit, we reimplement 'chez-upstream-features-for-system'
> using the new '%chez-features-table', which explicitly specifies
> platform support for both 'chez-scheme' and 'chez-scheme-for-racket',
> rather than assuming a non-false result from 'nix-system->chez-machine'
> means that the system is supported.
> 
> The remaining uses of 'nix-system->chez-machine' still make that
> incorrect assumption and must be repaired in a future commit.
Do they really?  As far as I can see, we have a bijection between
supported nix systems and chez-machines, with the behaviour when
looking up unsupported systems being undefined.  This means that nix-
system->chez-machine is well-formed in contexts outside of supported-
system, e.g. also for the 6/9 patch.

Cheers